org.apache.ignite.internal.processors.cache.query

## Class GridCacheQueryManager.QueryResult<K,V>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<IgniteSpiCloseableIterator<R>>
  - - org.apache.ignite.internal.processors.cache.query.GridCacheQueryManager.QueryResult<K,V>

All Implemented Interfaces:
  IgniteInternalFuture<IgniteSpiCloseableIterator<IgniteBiTuple<K,V>>>

Enclosing class:
  GridCacheQueryManager<K,V>

    public static class GridCacheQueryManager.QueryResult<K,V>
    extends GridFutureAdapter<IgniteSpiCloseableIterator<R>>

### Method Summary

All Methods Instance Methods Concrete Methods
`GridCacheQueryType` `type()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### type

    public GridCacheQueryType type()

Returns:
  Type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021